Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.author.collector
Class AbstractAuthorReportCollector

    java.lang.Object
      com.atlassian.bamboo.author.collector.AbstractAuthorReportCollector

Direct Known Subclasses:
  AuthorBuildsBrokenCollector, AuthorBuildsFailedCollector, AuthorBuildsFixedCollector, AuthorBuildsTriggeredCollector, AuthorSuccessRatioCollector

    public abstract class AbstractAuthorReportCollector

extends Object

Constructor Summary
`AbstractAuthorReportCollector()`

Method Summary
`protected List` | `getAllPeriodsBetweenDates(Date earliest, Date latest)`
`Map` | `getAuthorBuilds()`
`protected String` | `getAutoDate(Date startDate, Date lastDate)`
`protected abstract TimePeriodCollater` | `getCollater()`
`Dataset` | `getDataSet()`
`protected Date` | `getEarliestBuildDate(List results)`
`protected Date` | `getLatestbuildDate(List results)`
`Map` | `getParams()`
`protected RegularTimePeriod` | `getPeriod(Date date, String periodRange)`
`String` | `getPeriodRange()`
`protected boolean` | `isInPeriod(RegularTimePeriod time, Date date)`
`protected TimeTableXYDataset` | `populateDataSet(Collection results, TimeTableXYDataset dataset, String seriesName)`
`void` | `setAuthorBuilds(Map authorBuilds)`
`void` | `setParams(Map params)`
`protected void` | `writeCollaterToDataSet(TimeTableXYDataset dataset, TimePeriodCollater collater)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAuthorReportCollector

    public AbstractAuthorReportCollector()

Method Detail

### getDataSet

    public Dataset getDataSet()

### populateDataSet

    protected TimeTableXYDataset populateDataSet(Collection results,
                                                 TimeTableXYDataset dataset,
                                                 String seriesName)

### getCollater

    protected abstract TimePeriodCollater getCollater()

### writeCollaterToDataSet

    protected void writeCollaterToDataSet(TimeTableXYDataset dataset,
                                          TimePeriodCollater collater)

### getPeriodRange

    public String getPeriodRange()

### getAutoDate

    protected String getAutoDate(Date startDate,
                                 Date lastDate)

### getAllPeriodsBetweenDates

    protected List getAllPeriodsBetweenDates(Date earliest,
                                             Date latest)

### getEarliestBuildDate

    protected Date getEarliestBuildDate(List results)

### getLatestbuildDate

    protected Date getLatestbuildDate(List results)

### isInPeriod

    protected boolean isInPeriod(RegularTimePeriod time,
                                 Date date)

### getPeriod

    protected RegularTimePeriod getPeriod(Date date,
                                          String periodRange)

### getParams

    public Map getParams()

### setParams

    public void setParams(Map params)

### getAuthorBuilds

    public Map getAuthorBuilds()

### setAuthorBuilds

    public void setAuthorBuilds(Map authorBuilds)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.